summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>2012-10-03 22:47:12 +0000
committerChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>2012-10-03 22:47:12 +0000
commit82bcaf6756efbb4586073e952d2e5a8159dc637a (patch)
tree1e79c1a3b0b558c12ba3a8977a468fb55f043385 /eclass
parentstable ppc ppc64, bug #437026 (diff)
downloadhistorical-82bcaf6756efbb4586073e952d2e5a8159dc637a.tar.gz
historical-82bcaf6756efbb4586073e952d2e5a8159dc637a.tar.bz2
historical-82bcaf6756efbb4586073e952d2e5a8159dc637a.zip
Unbreak EAPI=2 and 3 users of virtualx.eclass, bug #406353
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/virtualx.eclass11
2 files changed, 13 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 33216ecdc8f1..3065e42f3d7b 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.427 2012/10/02 10:57:52 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.428 2012/10/03 22:47:12 chithanh Exp $
+
+ 03 Oct 2012; Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
+ virtualx.eclass:
+ Unbreak EAPI=2 and 3 users of virtualx.eclass, bug #406353
02 Oct 2012; Tomáš Chvátal <scarabeus@gentoo.org> obs-download.eclass:
More update the doc
diff --git a/eclass/virtualx.eclass b/eclass/virtualx.eclass
index ff7be80f848d..0621b18b301b 100644
--- a/eclass/virtualx.eclass
+++ b/eclass/virtualx.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/virtualx.eclass,v 1.42 2012/10/02 08:14:36 kensington Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/virtualx.eclass,v 1.43 2012/10/03 22:47:12 chithanh Exp $
# @ECLASS: virtualx.eclass
# @MAINTAINER:
@@ -144,8 +144,13 @@ virtualmake() {
# Do not break on error, but setup $retval, as we need
# to kill Xvfb
debug-print "${FUNCNAME}: ${VIRTUALX_COMMAND} \"$@\""
- nonfatal ${VIRTUALX_COMMAND} "$@"
- retval=$?
+ if has "${EAPI}" 2 3; then
+ ${VIRTUALX_COMMAND} "$@"
+ retval=$?
+ else
+ nonfatal ${VIRTUALX_COMMAND} "$@"
+ retval=$?
+ fi
# Now kill Xvfb
kill $(cat /tmp/.X${XDISPLAY}-lock)